Results 1 to 7 of 7

Thread: QtWebkit in Qt5.2

  1. #1
    Join Date
    Mar 2013
    Posts
    43
    Thanks
    2
    Qt products
    Qt4
    Platforms
    Unix/X11

    Default QtWebkit in Qt5.2

    I am new to Qt5.2. I Installed Qt5.2 and worked out with samples. They are working properly.
    But when i started with QtWebKit, I am facing these errors. In .pro file, I have given QT += core gui webkitwidgets
    I included header file #include <QtWebKitWidgets>
    Please specify why this error is coming


    error: cannot find -lxslt
    error: cannot find -lgio-2.0
    error: cannot find -lgstapp-0.10
    error: cannot find -lgstinterfaces-0.10
    error: cannot find -lgstpbutils-0.10
    error: cannot find -lgstvideo-0.10
    error: cannot find -lgstbase-0.10
    error: cannot find -lgstreamer-0.10
    error: cannot find -lgobject-2.0
    error: cannot find -lgmodule-2.0
    error: cannot find -lxml2
    error: cannot find -lgthread-2.0
    error: cannot find -lglib-2.0

    Thanks

  2. #2
    Join Date
    Jan 2006
    Location
    Graz, Austria
    Posts
    8,419
    Thanks
    37
    Thanked 1,546 Times in 1,496 Posts
    Qt products
    Qt3 Qt4 Qt5
    Platforms
    Unix/X11 Windows

    Default Re: QtWebkit in Qt5.2

    It is missing the GStreamer libraries. What operating system are you on?

    Cheers,
    _

  3. #3
    Join Date
    Mar 2013
    Posts
    43
    Thanks
    2
    Qt products
    Qt4
    Platforms
    Unix/X11

    Default Re: QtWebkit in Qt5.2

    Ubuntu 12.04

  4. #4
    Join Date
    Jan 2006
    Location
    Graz, Austria
    Posts
    8,419
    Thanks
    37
    Thanked 1,546 Times in 1,496 Posts
    Qt products
    Qt3 Qt4 Qt5
    Platforms
    Unix/X11 Windows

    Default Re: QtWebkit in Qt5.2

    Make sure you have the libgstreamer0.10-dev package installed

    Cheers,
    _

  5. #5
    Join Date
    Mar 2013
    Posts
    43
    Thanks
    2
    Qt products
    Qt4
    Platforms
    Unix/X11

    Default Re: QtWebkit in Qt5.2

    Thank u very much.

    I have installed libgstreamer0.10-dev. Still I am having 5 errors.

    error: cannot find -lxslt
    error: cannot find -lgstapp-0.10
    error: cannot find -lgstinterfaces-0.10
    error: cannot find -lgstpbutils-0.10
    error: cannot find -lgstvideo-0.10


    Pls help me


    Mythili

  6. #6
    Join Date
    Jan 2006
    Location
    Graz, Austria
    Posts
    8,419
    Thanks
    37
    Thanked 1,546 Times in 1,496 Posts
    Qt products
    Qt3 Qt4 Qt5
    Platforms
    Unix/X11 Windows

    Default Re: QtWebkit in Qt5.2

    You have to install the relevant packages.
    E.g.
    libxslt1-dev
    libgstreamer-plugins-base0.10-dev
    and so on

    apt-file update
    apt-file search libgstinterface | grep dev

    Cheers,
    _

  7. #7
    Join Date
    Mar 2013
    Posts
    43
    Thanks
    2
    Qt products
    Qt4
    Platforms
    Unix/X11

    Default Re: QtWebkit in Qt5.2

    Thank you very much. I have done that and my problem is solved

Similar Threads

  1. Qtwebkit in qt 4.3
    By raj_iv in forum Qt Programming
    Replies: 0
    Last Post: 7th February 2013, 07:49
  2. Linking with QtWebKit
    By zodiac in forum Installation and Deployment
    Replies: 0
    Last Post: 19th July 2012, 16:35
  3. Replies: 0
    Last Post: 29th February 2012, 10:48
  4. Updating QtWebKit?
    By LDel001 in forum Qt Programming
    Replies: 0
    Last Post: 21st October 2011, 00:36
  5. where is QtWebKit.lib?
    By richardander in forum Installation and Deployment
    Replies: 8
    Last Post: 8th April 2009, 17:50

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Digia, Qt and their respective logos are trademarks of Digia Plc in Finland and/or other countries worldwide.